<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs for page APMSSession.php</title>
			<link rel="stylesheet" href="../../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="file-name"><img src="../../media/images/Page_logo.png" alt="File" style="vertical-align: middle">/inc/APMSSession.php</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
							<a href="#sec-classes">Classes</a>
			|							<a href="#sec-includes">Includes</a>
			|									<a href="#sec-variables">Variables</a>
			|							<a href="#sec-functions">Functions</a>
			</div>
	<div class="info-box-body">	
		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">APMS extensions to Session handling</p>
	<ul class="tags">
				<li><span class="field">author:</span> Andrew McMillan &lt;<a href="mailto:andrew@catalyst.net.nz">andrew@catalyst.net.nz</a>&gt;</li>
				<li><span class="field">copyright:</span> Catalyst .Net Ltd</li>
				<li><span class="field">license:</span> <a href="http://gnu.org/copyleft/gpl.html">GNU GPL v2</a></li>
			</ul>
		
			</div>
</div>
		
	<a name="sec-classes"></a>	
	<div class="info-box">
		<div class="info-box-title">Classes</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
			<span class="disabled">Classes</span>
			|							<a href="#sec-includes">Includes</a>
				|													<a href="#sec-variables">Variables</a>
				|										<a href="#sec-functions">Functions</a>
					</div>
		<div class="info-box-body">	
			<table cellpadding="2" cellspacing="0" class="class-table">
				<tr>
					<th class="class-table-header">Class</th>
					<th class="class-table-header">Description</th>
				</tr>
								<tr>
					<td style="padding-right: 2em; vertical-align: top; white-space: nowrap">
						<img src="../../media/images/Class.png"
								 alt=" class"
								 title=" class"/>
						<a href="../../apms/APMSSession/APMSSession.html">APMSSession</a>
					</td>
					<td>
											A class for creating and holding session information.
										</td>
				</tr>
							</table>
		</div>
	</div>

	<a name="sec-includes"></a>	
	<div class="info-box">
		<div class="info-box-title">Includes</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
							<a href="#sec-classes">Classes</a>
				|						<span class="disabled">Includes</span>
			|										<a href="#sec-variables">Variables</a>
				|										<a href="#sec-functions">Functions</a>
					</div>
		<div class="info-box-body">	
			<a name="_PgQuery_php"><!-- --></a>
<div class="oddrow">
	
	<div>
		<img src="../../media/images/Page.png" alt=" " />
		<span class="include-title">
			<span class="include-type">require_once</span>
			(<span class="include-name">'PgQuery.php'</span>)
			(line <span class="line-number">15</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">All session data is held in the database.</p>
	
</div>
<a name="_Session_php"><!-- --></a>
<div class="evenrow">
	
	<div>
		<img src="../../media/images/Page.png" alt=" " />
		<span class="include-title">
			<span class="include-type">require_once</span>
			(<span class="include-name">'Session.php'</span>)
			(line <span class="line-number">42</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">We extend the AWL Session class.</p>
	
</div>
		</div>
	</div>
	
	
	<a name="sec-variables"></a>	
	<div class="info-box">
		<div class="info-box-title">Variables</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
							<a href="#sec-classes">Classes</a>
				|										<a href="#sec-includes">Includes</a>
				|									<span class="disabled">Variables</span>
			|							<a href="#sec-functions">Functions</a>
					</div>
		<div class="info-box-body">	
			<a name="global$session
 The session object is global." id="global$session
 The session object is global."><!-- --></a>
<div class="oddrow">
	
	<div>
		<img src="../../media/images/Global.png" />
		<span class="var-title">
			<span class="var-type">resource</span>
			<span class="var-name">$session
 The session object is global.</span>
						(line <span class="line-number">22</span>)
		</span>
	</div>

	<!-- ========== Info from phpDoc block ========= -->
	<ul class="tags">
				<li><span class="field">name:</span> $session
 The session object is global.</li>
			</ul>
	
		
</div>
		</div>
	</div>
	
	<a name="sec-functions"></a>	
	<div class="info-box">
		<div class="info-box-title">Functions</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
							<a href="#sec-classes">Classes</a>
				|										<a href="#sec-includes">Includes</a>
				|													<a href="#sec-variables">Variables</a>
				|						<span class="disabled">Functions</span>
		</div>
		<div class="info-box-body">	
			<a name="functionlocal_session_sql" id="functionlocal_session_sql"><!-- --></a>
<div class="evenrow">
	
	<div>
		<img src="../../media/images/Function.png" />
		<span class="method-title">local_session_sql</span> (line <span class="line-number">31</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	<ul class="tags">
				<li><span class="field">todo:</span> Make this a defined constant</li>
			</ul>
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			local_session_sql
		</span>
				()
			</div>

		
	
</div>
		</div>
	</div>
	
	<p class="notes" id="credit">
		Documentation generated on Fri, 24 Dec 2010 22:48:17 +1300 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.4.3</a>
	</p>
	</div></body>
</html>